package com.kmall.admin.service.mk.dist;

import com.kmall.admin.entity.mk.dist.MkDistHierEntity;

import java.util.List;
import java.util.Map;

/**
 * 分销层级，树状层级，每个子级只有唯一一个父级，一个父级可以多个子级Service接口
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-04-09 18:04:46
 */
public interface MkDistHierService {

    /**
     * 根据主键查询实体
     *
     * @param distHierId 主键
     * @return 实体
     */
    MkDistHierEntity queryObject(Integer distHierId);
    Map querySysConfigByKey();
    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<MkDistHierEntity> queryList(Map<String, Object> map);

    List<MkDistHierEntity> queryListByTree(Map<String, Object> map);

    MkDistHierEntity queryObjectByDistMap(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param mkDistHier 实体
     * @return 保存条数
     */
    int save(MkDistHierEntity mkDistHier);

    /**
     * 根据主键更新实体
     *
     * @param mkDistHier 实体
     * @return 更新条数
     */
    int update(MkDistHierEntity mkDistHier);

    /**
     * 根据主键删除
     *
     * @param distHierId
     * @return 删除条数
     */
    int delete(Integer distHierId);

    /**
     * 根据主键批量删除
     *
     * @param distHierIds
     * @return 删除条数
     */
    int deleteBatch(Integer[] distHierIds);
}
